<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xl="http://www.w3.org/2001/XMLSchema"
           xmlns:tns="http://tm.ktitov.t1.ru/dto/soap"
           targetNamespace="http://tm.ktitov.t1.ru/dto/soap"
           elementFormDefault="qualified">

    <xs:complexType name="project">
        <xs:sequence>
            <xl:element name="id" type="xs:string" />
            <xl:element name="name" type="xs:string" />
            <xl:element name="description" type="xs:string" />
            <xl:element name="status" type="tns:status" />
            <xl:element name="created" type="xs:dateTime" />
            <xl:element name="updated" type="xs:dateTime" />
            <xl:element name="dateStart" type="xs:dateTime" />
            <xl:element name="dateFinish" type="xs:dateTime" />
            <xl:element name="userId" type="xs:string" />
        </xs:sequence>
    </xs:complexType>

    <xs:complexType name="projects">
        <xs:sequence>
            <xl:element name="project" type="tns:project" minOccurs="0"/>
        </xs:sequence>
    </xs:complexType>

    <xs:simpleType name="status">
        <xs:restriction base="xs:string">
            <xs:enumeration value="NOT_STARTED"/>
            <xs:enumeration value="IN_PROGRESS"/>
            <xs:enumeration value="COMPLETED"/>
        </xs:restriction>
    </xs:simpleType>

    <xs:element name="projectCreateRequest">
        <xs:complexType>
            <xs:sequence>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectCreateResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="project" type="tns:project" minOccurs="1" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectSaveRequest">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="project" type="tns:project" minOccurs="1" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectSaveResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="status" type="xs:boolean"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectDeleteRequest">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="project" type="tns:project" minOccurs="1" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectDeleteResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="status" type="xs:boolean"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectDeleteByIdRequest">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="id" type="xs:string" minOccurs="1" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectDeleteByIdResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="status" type="xs:boolean"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectFindAllRequest">
        <xs:complexType>
            <xs:sequence>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectFindAllResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="projects" type="tns:projects" minOccurs="0" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectFindByIdRequest">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="id" type="xs:string" minOccurs="1" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="projectFindByIdResponse">
        <xs:complexType>
            <xs:sequence>
                <xl:element name="project" type="tns:project" minOccurs="0" maxOccurs="1"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

</xs:schema>